## buildutil 1.0.3

=== Makefile ===
PROJECT = buildutil
VERSION = 1.0.3

PACKAGE = $(shell dpkg-parsechangelog -S Source)_$(shell dpkg-parsechangelog -S Version)
CHANGES = ../$(PACKAGE)_$(shell dpkg-architecture -qDEB_HOST_ARCH).changes

PREFIX = $(if $(DEB_BUILD_ARCH),$(DESTDIR)/usr,/usr/segment)

BINDIR = $(PREFIX)/bin

SOURCES = buildshared.tmpl
TARGETS = buildshared
SCRIPTS = fixltconfig hard2soft newmk symlink debianify deb-upload dput-remove

INSTALL = install -c
INSTALL_SCRIPT = $(INSTALL)

.SUFFIXES: .tmpl

.tmpl:
	systpage $< >$@

all: $(TARGETS)

install: all
	test -d $(BINDIR) || mkdir -p $(BINDIR)
	$(INSTALL_SCRIPT) $(TARGETS) $(SCRIPTS) $(BINDIR)

clean:
	rm -f $(TARGETS)

deb $(CHANGES): $(MAKEFILE_LIST) debian/* debian/*/* $(SOURCES) $(SCRIPTS)
	cme check -strict dpkg
	env LC_ALL=C.UTF-8 dpkg-buildpackage -I -I.old --check-command=lintian --check-option=-i --check-option=-I --check-option=--suppress-tags-from-file=debian/changes/lintian-overrides -tc

dput: $(CHANGES)
	dput $(CHANGES) && rm -f ../$(PACKAGE)[_.]*

=== debian/changelog ===
buildutil (1.0.3) bullseye bookworm; urgency=medium

  * deb-upload: Added trixie, forky and duke

 -- Andreas Ley <andreas.ley@kit.edu>  Wed, 15 Oct 2025 22:56:56 +0200

buildutil (1.0.2) buster bullseye bookworm; urgency=medium

  * Dist upgrade

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 28 Nov 2023 02:20:35 +0100

buildutil (1.0.1) stretch buster bullseye; urgency=medium

  * Fixed handling of last dput.cf entry in dput-remove

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 07 Apr 2020 19:10:46 +0200

buildutil (1.0) stretch buster bullseye; urgency=medium

  * Initial Release.

 -- Andreas Ley <andreas.ley@kit.edu>  Tue, 17 Mar 2020 23:39:02 +0100

=== debian/control ===
Source: buildutil
Maintainer: Andreas Ley <andreas.ley@kit.edu>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://andy.scc.kit.edu/source/Local/buildutil-1.0.1/

Package: buildutil
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         dpkg-dev,
         openssh-client
Description: Utilities for easier library and executable building
 Utility scripts to create a template Makefile or to adapt a pre-
 repository Makefile to building a Debian package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@
